snd_hwdep_new
Prev | Chapter 24. Sound Devices | Next

## Name

snd_hwdep_new — create a new hwdep instance

## Synopsis

`int snd_hwdep_new (` | struct snd_card * | card,
| char * | id,
| int | device,
| struct snd_hwdep ** | rhwdep`)`;

## Arguments

`card`

  the card instance

`id`

  the id string

`device`

  the device index (zero-based)

`rhwdep`

  the pointer to store the new hwdep instance

## Description

Creates a new hwdep instance with the given index on the card. The callbacks (hwdep->ops) must be set on the returned instance after this call manually by the caller.

Returns zero if successful, or a negative error code on failure.

Prev | Up | Next
snd_pcm_period_elapsed | Home | snd_pcm_stop